<?php
if(!isset($config->kingdee)) $config->kingdee = new stdclass();
$config->kingdee->accountFields = array('number', 'name', 'helperCode', 'groupID', 'dc', 'currencyID', 'adjustRate', 'contact', 'quantities', 'unitGroupID', 'measureUnitID', 'isCash', 'isBank', 'journal', 'detailID', 'isBalance', 'mainItemID', 'subItemID', 'itemClassNumber', 'itemClassName');

$config->kingdee->voucher = new stdclass();
$config->kingdee->voucher->FFields      = array('FDate', 'FYear', 'FPeriod', 'FGroupID', 'FNumber', 'FAccountNum', 'FAccountName', 'FCurrencyNum', 'FCurrencyNum', 'FCurrencyName', 'FAmountFor', 'FDebit', 'FCredit', 'FPreparerID', 'FCheckerID', 'FApproveID', 'FCashierID', 'FHandler', 'FSettleTypeID', 'FSettleNo', 'FExplanation', 'FQuantity', 'FMeasureUnitID', 'FUnitPrice', 'FReference', 'FTransDate', 'FTransNo', 'FAttachments', 'FSerialNum', 'FObjectName', 'FParameter', 'FExchangeRate', 'FEntryID', 'FItem', 'FPosted', 'FInternalInd', 'FCashFlow');
$config->kingdee->voucher->numberFields = array('FAccountFor', 'FDebit', 'FCredit', 'FQuanlity', 'FUnitPrice', 'FAttachments', 'FSerialNum', 'FExchangeRate', 'FEntryID');
$config->kingdee->voucher->taxRate      = 3;

$config->kingdee->invoiceSaleTypeList['product'] = '001';
$config->kingdee->invoiceSaleTypeList['service'] = '002';
$config->kingdee->invoiceSaleTypeList['other']   = '003';

$config->kingdee->invoiceTypeList['companySpecial']         = '001';
$config->kingdee->invoiceTypeList['companyOrdinary']        = '002';
$config->kingdee->invoiceTypeList['companyDigitalSpecial']  = '003';
$config->kingdee->invoiceTypeList['companyDigitalOrdinary'] = '004';
$config->kingdee->invoiceTypeList['invoiceless']            = '005';

$config->excel->dateFields = array('FDate', 'FTransDate');

$config->kingdee->itemList = array('customer', 'provider');

global $lang, $app;
$app->loadLang('invoice');
$config->mappingrelation = new stdclass();
$config->mappingrelation->search = array();
$config->mappingrelation->search['module'] = 'mappingrelation';

$config->mappingrelation->search['fields']['type']        = $lang->mappingrelation->type;
$config->mappingrelation->search['fields']['depositor']   = $lang->mappingrelation->depositor;
$config->mappingrelation->search['fields']['category']    = $lang->mappingrelation->category;
$config->mappingrelation->search['fields']['product']     = $lang->mappingrelation->product;
$config->mappingrelation->search['fields']['invoice']     = $lang->mappingrelation->invoice;
$config->mappingrelation->search['fields']['saleType']    = $lang->mappingrelation->saleType;
$config->mappingrelation->search['fields']['account']     = $lang->mappingrelation->account;
$config->mappingrelation->search['fields']['explanation'] = $lang->voucher->FExplanation;

$config->mappingrelation->search['params']['type']        = array('operator' => '=', 'control' => 'select', 'values' => $lang->mappingrelation->typeList);
$config->mappingrelation->search['params']['category']    = array('operator' => '=', 'control' => 'select', 'values' => 'set in control');
$config->mappingrelation->search['params']['depositor']   = array('operator' => '=', 'control' => 'select', 'values' => 'set in control');
$config->mappingrelation->search['params']['product']     = array('operator' => '=', 'control' => 'select', 'values' => 'set in control');
$config->mappingrelation->search['params']['invoice']     = array('operator' => '=', 'control' => 'select',  'values' => array('') + $lang->invoice->typeList);
$config->mappingrelation->search['params']['saleType']    = array('operator' => '=', 'control' => 'select',  'values' => array('') + $lang->invoice->saleTypeList);
$config->mappingrelation->search['params']['account']     = array('operator' => 'include', 'control' => 'select', 'values' => 'set in control');
$config->mappingrelation->search['params']['explanation'] = array('operator' => 'include', 'control' => 'input', 'values' => '');
